[arch-commits] Commit in python-gevent/repos/community-staging-x86_64 (2 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 12 14:43:39 UTC 2020


    Date: Thursday, November 12, 2020 @ 14:43:39
  Author: foutrelis
Revision: 752009

archrelease: copy trunk to community-staging-x86_64

Added:
  python-gevent/repos/community-staging-x86_64/PKGBUILD
    (from rev 752008, python-gevent/trunk/PKGBUILD)
Deleted:
  python-gevent/repos/community-staging-x86_64/PKGBUILD

----------+
 PKGBUILD |  150 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 75 insertions(+), 75 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-12 14:43:35 UTC (rev 752008)
+++ PKGBUILD	2020-11-12 14:43:39 UTC (rev 752009)
@@ -1,75 +0,0 @@
-# Maintainer: Massimiliano Torromeo <massimiliano.torromeo at gmail.com>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Ralf Schmitt <ralf at systemexit.de>
-
-pkgbase=python-gevent
-pkgname=(python-gevent python2-gevent)
-pkgver=20.9.0
-pkgrel=2
-arch=('x86_64')
-pkgdesc="Python network library that uses greenlet and libev for easy and scalable concurrency"
-license=("MIT")
-url="http://www.gevent.org/"
-makedepends=('python-greenlet' 'python2-greenlet' 'cython' 'cython2' 'c-ares' 'libev')
-checkdepends=('lsof' 'python-perf' 'python2-perf' 'python2-virtualenv' 'python-objgraph'
-              'python2-objgraph' 'python-zope-interface' 'python2-zope-interface' 'python-dnspython'
-              'python2-dnspython' 'python-requests' 'python2-requests' 'python-zope-event'
-              'python2-zope-event' 'python2-mock')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/gevent/gevent/archive/$pkgver.tar.gz")
-sha512sums=('3a94cf3a3606cbf7f38930ec03112bcce430334bcea47c1cfb565715111f3ef4d9ca52d668eacb6ea99c911fc6f70cbb8ff8f313f4bf13e66b733385f675344f')
-
-export EMBED=0
-
-prepare() {
-  cp -a gevent-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/gevent-$pkgver
-
-  CYTHON=cython \
-  PYTHON=python \
-  python setup.py build
-
-  cd "$srcdir"/gevent-$pkgver-py2
-
-  CYTHON=cython2 \
-  PYTHON=python2 \
-  python2 setup.py build
-}
-
-check() {
-  (
-    cd "$srcdir"/gevent-$pkgver
-    python -m venv "$srcdir/pyvenv" --system-site-packages
-    . "$srcdir/pyvenv/bin/activate"
-    export PYTHONPATH="$PYTHONPATH:/usr/lib/python3.6/site-packages"
-    python setup.py install
-    python -m gevent.tests
-  ) || echo "Tests failed"
-
-  (
-    cd "$srcdir"/gevent-$pkgver-py2
-    virtualenv2 "$srcdir/pyvenv" --system-site-packages
-    . "$srcdir/pyvenv/bin/activate"
-    export PYTHONPATH="$PYTHONPATH:/usr/lib/python2.7/site-packages"
-    python setup.py install
-    python2 -m gevent.tests
-  ) || echo "Tests failed"
-}
-
-package_python-gevent() {
-  depends=('c-ares' 'libev' 'python-greenlet' 'python-zope-event' 'python-zope-interface')
-
-  cd gevent-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-  install -Dm0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-gevent() {
-  depends=('c-ares' 'libev' 'python2-greenlet' 'python2-zope-event' 'python2-zope-interface')
-
-  cd gevent-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  install -Dm0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-gevent/repos/community-staging-x86_64/PKGBUILD (from rev 752008, python-gevent/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-12 14:43:39 UTC (rev 752009)
@@ -0,0 +1,75 @@
+# Maintainer: Massimiliano Torromeo <massimiliano.torromeo at gmail.com>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ralf Schmitt <ralf at systemexit.de>
+
+pkgbase=python-gevent
+pkgname=(python-gevent python2-gevent)
+pkgver=20.9.0
+pkgrel=3
+arch=('x86_64')
+pkgdesc="Python network library that uses greenlet and libev for easy and scalable concurrency"
+license=("MIT")
+url="http://www.gevent.org/"
+makedepends=('python-greenlet' 'python2-greenlet' 'cython' 'cython2' 'c-ares' 'libev')
+checkdepends=('lsof' 'python-perf' 'python2-perf' 'python2-virtualenv' 'python-objgraph'
+              'python2-objgraph' 'python-zope-interface' 'python2-zope-interface' 'python-dnspython'
+              'python2-dnspython' 'python-requests' 'python2-requests' 'python-zope-event'
+              'python2-zope-event' 'python2-mock')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/gevent/gevent/archive/$pkgver.tar.gz")
+sha512sums=('3a94cf3a3606cbf7f38930ec03112bcce430334bcea47c1cfb565715111f3ef4d9ca52d668eacb6ea99c911fc6f70cbb8ff8f313f4bf13e66b733385f675344f')
+
+export EMBED=0
+
+prepare() {
+  cp -a gevent-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/gevent-$pkgver
+
+  CYTHON=cython \
+  PYTHON=python \
+  python setup.py build
+
+  cd "$srcdir"/gevent-$pkgver-py2
+
+  CYTHON=cython2 \
+  PYTHON=python2 \
+  python2 setup.py build
+}
+
+check() {
+  (
+    cd "$srcdir"/gevent-$pkgver
+    python -m venv "$srcdir/pyvenv" --system-site-packages
+    . "$srcdir/pyvenv/bin/activate"
+    export PYTHONPATH="$PYTHONPATH:/usr/lib/python3.6/site-packages"
+    python setup.py install
+    python -m gevent.tests
+  ) || echo "Tests failed"
+
+  (
+    cd "$srcdir"/gevent-$pkgver-py2
+    virtualenv2 "$srcdir/pyvenv" --system-site-packages
+    . "$srcdir/pyvenv/bin/activate"
+    export PYTHONPATH="$PYTHONPATH:/usr/lib/python2.7/site-packages"
+    python setup.py install
+    python2 -m gevent.tests
+  ) || echo "Tests failed"
+}
+
+package_python-gevent() {
+  depends=('c-ares' 'libev' 'python-greenlet' 'python-zope-event' 'python-zope-interface')
+
+  cd gevent-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-gevent() {
+  depends=('c-ares' 'libev' 'python2-greenlet' 'python2-zope-event' 'python2-zope-interface')
+
+  cd gevent-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -Dm0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list